package cn.com.poc.equity.entity;	


public class BizPointDeductionRulesEntity {

    private static final long serialVersionUID = 1L;
	/** id
    *主键id
    */ 
    private java.lang.Integer id;

    public java.lang.Integer getId(){
        return this.id;
    }
    
    public void setId(java.lang.Integer id){
        this.id = id;
    }
	/** rule_type
    *规则类型: model-模型 、plugin-插件 、knowledge-知识库、communication_turn-对话轮次
    */ 
    private java.lang.String ruleType;

    public java.lang.String getRuleType(){
        return this.ruleType;
    }
    
    public void setRuleType(java.lang.String ruleType){
        this.ruleType = ruleType;
    }
	/** dedction_rule
    *扣减规则类型：deduction-扣减 free-免费
    */ 
    private java.lang.String dedctionRule;

    public java.lang.String getDedctionRule(){
        return this.dedctionRule;
    }
    
    public void setDedctionRule(java.lang.String dedctionRule){
        this.dedctionRule = dedctionRule;
    }
	/** relation_id
    *关联主键， 如模型主键，知识库主键，插件主键
    */ 
    private java.lang.String relationId;

    public java.lang.String getRelationId(){
        return this.relationId;
    }
    
    public void setRelationId(java.lang.String relationId){
        this.relationId = relationId;
    }
	/** number
    *扣减数-两位小数偏移；  如 1.91积分 = 191
    */ 
    private java.lang.Long number;

    public java.lang.Long getNumber(){
        return this.number;
    }
    
    public void setNumber(java.lang.Long number){
        this.number = number;
    }
	/** is_deleted
    *是否删除 Y 是  N 否
    */ 
    private java.lang.String isDeleted;

    public java.lang.String getIsDeleted(){
        return this.isDeleted;
    }
    
    public void setIsDeleted(java.lang.String isDeleted){
        this.isDeleted = isDeleted;
    }
	/** CREATOR
    *创建人
    */ 
    private java.lang.String creator;

    public java.lang.String getCreator(){
        return this.creator;
    }
    
    public void setCreator(java.lang.String creator){
        this.creator = creator;
    }
	/** CREATED_TIME
    *创建时间
    */ 
    private java.util.Date createdTime;

    public java.util.Date getCreatedTime(){
        return this.createdTime;
    }
    
    public void setCreatedTime(java.util.Date createdTime){
        this.createdTime = createdTime;
    }
	/** MODIFIER
    *修改人
    */ 
    private java.lang.String modifier;

    public java.lang.String getModifier(){
        return this.modifier;
    }
    
    public void setModifier(java.lang.String modifier){
        this.modifier = modifier;
    }
	/** MODIFIED_TIME
    *修改时间
    */ 
    private java.util.Date modifiedTime;

    public java.util.Date getModifiedTime(){
        return this.modifiedTime;
    }
    
    public void setModifiedTime(java.util.Date modifiedTime){
        this.modifiedTime = modifiedTime;
    }
	/** SYS_VERSION
    *乐观锁,版本号
    */ 
    private java.lang.Integer sysVersion;

    public java.lang.Integer getSysVersion(){
        return this.sysVersion;
    }
    
    public void setSysVersion(java.lang.Integer sysVersion){
        this.sysVersion = sysVersion;
    }
}